import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 07.01.2007
  * @author
  */

public class Gui extends JFrame {
  // Anfang Variablen
  private JMenuBar jmb = new JMenuBar();
  private JMenu jmuDatei = new JMenu("Datei");
  private JMenu jmuBearbeiten = new JMenu("Bearbeiten");
  private JMenuItem jmiBeenden = new JMenuItem("Beenden");
  private JMenuItem jmiUebernehmen = new JMenuItem("bernehmen");
  private JMenuItem jmiEntfernen = new JMenuItem("Entfernen");

  private JTextField jTextField1 = new JTextField();
  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();

  private Datei1 datei1;
  // Ende Variablen

  private Gui(String title) {
    // Frame-Initialisierung
    super(title);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) { System.exit(0); }
    });
    int frameWidth = 374;
    int frameHeight = 149;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2 ;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    setJMenuBar(jmb);
    jmb.add(jmuDatei);
    jmuDatei.add(jmiBeenden);
    jmb.add(jmuBearbeiten);
    jmuBearbeiten.add(jmiUebernehmen);
    jmuBearbeiten.add(jmiEntfernen);
    
    jmiBeenden.addActionListener(new ActionListener(){
            public void actionPerformed(ActionEvent e) { System.exit(0); }
      });
    jmiUebernehmen.addActionListener(new ActionListener(){
            public void actionPerformed(ActionEvent e) {
              uebernehmenAktion();
            }
      });

    jTextField1.setBounds(72, 40, 217, 24);
    jTextField1.setText("Eingabe");
    cp.add(jTextField1);
    
    jButton1.setBounds(8, 40, 59, 25);
    jButton1.setText("<=");
    cp.add(jButton1);
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1ActionPerformed(evt);
      }
    });

    jButton2.setBounds(296, 40, 67, 25);
    jButton2.setText("=>");
    cp.add(jButton2);
    jButton2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton2ActionPerformed(evt);
      }
    });

    // Ende Komponenten

    datei1=new Datei1();
    setResizable(false);
    setVisible(true);
  }

  // Anfang Ereignisprozeduren
  private void uebernehmenAktion()
  {
    datei1.anhaengen(jTextField1.getText());
  }
  public void jButton1ActionPerformed(ActionEvent evt) {
    datei1.zurueck();
    jTextField1.setText(datei1.aktuellerWert());
  }

  public void jButton2ActionPerformed(ActionEvent evt) {
    datei1.weiter();
    jTextField1.setText(datei1.aktuellerWert());
  }

  // Ende Ereignisprozeduren

  public static void main(String[] args) {
    new Gui("Gui");
  }
}

